CSVStrategy (Solr 3.6.2 API)
Keywords: org.apache.solr.internal.csv.CSVStrategy class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.internal.csv
Class CSVStrategy

    java.lang.Object
      org.apache.solr.internal.csv.CSVStrategy

All Implemented Interfaces:
  Serializable, Cloneable

    public class CSVStrategy

extends Object
implements Cloneable, Serializable

CSVStrategy Represents the strategy for a CSV.

See Also:
  Serialized Form

Field Summary
`static char` | `COMMENTS_DISABLED`
`static CSVStrategy` | `DEFAULT_STRATEGY`
`static char` | `ENCAPSULATOR_DISABLED`
`static char` | `ESCAPE_DISABLED`
`static CSVStrategy` | `EXCEL_STRATEGY`
`static CSVStrategy` | `TDF_STRATEGY`

Constructor Summary
`CSVStrategy(char delimiter, char encapsulator, char commentStart)`
`CSVStrategy(char delimiter, char encapsulator, char commentStart, boolean ignoreLeadingWhitespace, boolean interpretUnicodeEscapes, boolean ignoreEmptyLines)` Deprecated.
`CSVStrategy(char delimiter, char encapsulator, char commentStart, char escape, boolean ignoreLeadingWhitespace, boolean ignoreTrailingWhitespace, boolean interpretUnicodeEscapes, boolean ignoreEmptyLines)` Customized CSV strategy setter.

Method Summary
`Object` | `clone()`
`char` | `getCommentStart()`
`char` | `getDelimiter()`
`char` | `getEncapsulator()`
`char` | `getEscape()`
`boolean` | `getIgnoreEmptyLines()`
`boolean` | `getIgnoreLeadingWhitespaces()`
`boolean` | `getIgnoreTrailingWhitespaces()`
`String` | `getPrinterNewline()`
`boolean` | `getUnicodeEscapeInterpretation()`
`boolean` | `isCommentingDisabled()`
`void` | `setCommentStart(char commentStart)`
`void` | `setDelimiter(char delimiter)`
`void` | `setEncapsulator(char encapsulator)`
`void` | `setEscape(char escape)`
`void` | `setIgnoreEmptyLines(boolean ignoreEmptyLines)`
`void` | `setIgnoreLeadingWhitespaces(boolean ignoreLeadingWhitespaces)`
`void` | `setIgnoreTrailingWhitespaces(boolean ignoreTrailingWhitespaces)`
`void` | `setPrinterNewline(String newline)`
`void` | `setUnicodeEscapeInterpretation(boolean interpretUnicodeEscapes)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMMENTS_DISABLED

    public static char COMMENTS_DISABLED

### ESCAPE_DISABLED

    public static char ESCAPE_DISABLED

### ENCAPSULATOR_DISABLED

    public static char ENCAPSULATOR_DISABLED

### DEFAULT_STRATEGY

    public static CSVStrategy DEFAULT_STRATEGY

### EXCEL_STRATEGY

    public static CSVStrategy EXCEL_STRATEGY

### TDF_STRATEGY

    public static CSVStrategy TDF_STRATEGY

Constructor Detail

### CSVStrategy

    public CSVStrategy(char delimiter,
                       char encapsulator,
                       char commentStart)

### CSVStrategy

    public CSVStrategy(char delimiter,
                       char encapsulator,
                       char commentStart,
                       char escape,
                       boolean ignoreLeadingWhitespace,
                       boolean ignoreTrailingWhitespace,
                       boolean interpretUnicodeEscapes,
                       boolean ignoreEmptyLines)

  Customized CSV strategy setter.

  Parameters:
    `delimiter` - a Char used for value separation
    `encapsulator` - a Char used as value encapsulation marker
    `commentStart` - a Char used for comment identification
    `ignoreLeadingWhitespace` - TRUE when leading whitespaces should be ignored
    `interpretUnicodeEscapes` - TRUE when unicode escapes should be interpreted
    `ignoreEmptyLines` - TRUE when the parser should skip emtpy lines

### CSVStrategy

    public CSVStrategy(char delimiter,
                       char encapsulator,
                       char commentStart,
                       boolean ignoreLeadingWhitespace,
                       boolean interpretUnicodeEscapes,
                       boolean ignoreEmptyLines)

  Deprecated.

Method Detail

### setDelimiter

    public void setDelimiter(char delimiter)

### getDelimiter

    public char getDelimiter()

### setEncapsulator

    public void setEncapsulator(char encapsulator)

### getEncapsulator

    public char getEncapsulator()

### setCommentStart

    public void setCommentStart(char commentStart)

### getCommentStart

    public char getCommentStart()

### isCommentingDisabled

    public boolean isCommentingDisabled()

### setEscape

    public void setEscape(char escape)

### getEscape

    public char getEscape()

### setIgnoreLeadingWhitespaces

    public void setIgnoreLeadingWhitespaces(boolean ignoreLeadingWhitespaces)

### getIgnoreLeadingWhitespaces

    public boolean getIgnoreLeadingWhitespaces()

### setIgnoreTrailingWhitespaces

    public void setIgnoreTrailingWhitespaces(boolean ignoreTrailingWhitespaces)

### getIgnoreTrailingWhitespaces

    public boolean getIgnoreTrailingWhitespaces()

### setUnicodeEscapeInterpretation

    public void setUnicodeEscapeInterpretation(boolean interpretUnicodeEscapes)

### getUnicodeEscapeInterpretation

    public boolean getUnicodeEscapeInterpretation()

### setIgnoreEmptyLines

    public void setIgnoreEmptyLines(boolean ignoreEmptyLines)

### getIgnoreEmptyLines

    public boolean getIgnoreEmptyLines()

### setPrinterNewline

    public void setPrinterNewline(String newline)

### getPrinterNewline

    public String getPrinterNewline()

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD